api_platform:
    title: 'Opentalent API'
    version: '3.1'
    enable_swagger_ui: false
    enable_re_doc: false
    mapping:
        paths:
            - '%kernel.project_dir%/src/Entity'
            - '%kernel.project_dir%/src/ApiResources'
            - '%kernel.project_dir%/config/api_platform'
    patch_formats:
        json: ['application/merge-patch+json']
    swagger:
        versions: [3]
    resource_class_directories:
        - '%kernel.project_dir%/src/Entity'
    defaults:
        pagination_items_per_page: 20
        normalization_context:
            ## In 3.0, in conformance with the JSON Merge Patch RFC, the default value of the skip_null_values
            ## property is true which means that from now on null values are omitted during serialization.
            ## we don't want this => surcharge default value to false
            skip_null_values: false
